summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorAlexander Golovko <alexandro@ankalagon.ru>2012-06-02 13:26:27 +0400
committerAlexander Golovko <alexandro@ankalagon.ru>2012-06-02 13:26:27 +0400
commit81cd7c7b558bd935d8f46315b4307ce64bf6127d (patch)
tree3c02d2c82a5e6e1d5a6528754eadf8ba1eb3f478 /scripts
parent88fcde05c29a68999e894c26e74c9b14888a905a (diff)
Add missed files (suxx upstream .gitignore)
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/breload43
1 files changed, 43 insertions, 0 deletions
diff --git a/scripts/breload b/scripts/breload
new file mode 100755
index 00000000..2b1e6526
--- /dev/null
+++ b/scripts/breload
@@ -0,0 +1,43 @@
+#! /bin/sh
+#
+# breload This shell script takes care of reloading the director after
+# a backup of the configuration and a bacula-dir -t test
+#
+#
+
+BACDIRBIN=/sbin
+BACDIRCFG=/etc/bacula
+BACWORKDIR=/var/bacula/working
+BACBKPDIR=$BACWORKDIR/bkp
+Bacula="Bacula"
+DIR_USER=
+RET=0
+
+if [ -x ${BACDIRBIN}/bacula-dir -a -r ${BACDIRCFG}/bacula-dir.conf ]; then
+ echo "Testing the $Bacula Director daemon configuration"
+
+ if [ $(whoami) != "$DIR_USER" ]; then
+ USER_OPT="-u $DIR_USER"
+ fi
+
+ ${BACDIRBIN}/bacula-dir -t $USER_OPT -c ${BACDIRCFG}/bacula-dir.conf
+
+ RET=$?
+ if [ $RET = 0 ]; then
+ if [ ! -d $BACBKPDIR ]; then
+ echo "Creating Backup configuration directory"
+ mkdir -p $BACBKPDIR
+ chmod 700 $BACBKPDIR
+ chown $DIR_USER $BACBKPDIR
+ fi
+ if [ -d $BACBKPDIR ]; then
+ echo "Backup configuration"
+ tar cfz $BACBKPDIR/bacula-dir-conf.$(date +%s).tgz $BACDIRCFG/*conf
+ fi
+ echo reload | ${BACDIRBIN}/bconsole >/dev/null
+ echo "Reloading configuration"
+ else
+ echo "Can't reload configuration, please correct errors first"
+ fi
+fi
+exit $RET